package com.lightinit.hsdatashow.model.admin;

import java.math.BigDecimal;
import java.util.List;

public class SpreadListModel<T> {
    private List<String> name ;
    private List<String> name1 ;
    private List<BigDecimal> siG;
    private List<BigDecimal> radioBroadcast;
    private List<BigDecimal> television;
    private List<BigDecimal> wifi;
    private List<BigDecimal> reads;
    private BigDecimal growth ;

    private List<Integer> dataYear ;
    private List<BigDecimal> value;
    private List<BigDecimal> value1;
    private List<BigDecimal> value2;
    private List<BigDecimal> value3;

    public BigDecimal getGrowth() {
        return growth;
    }

    public void setGrowth(BigDecimal growth) {
        this.growth = growth;
    }

    public List<String> getName() {
        return name;
    }

    public void setName(List<String> name) {
        this.name = name;
    }

    public List<Integer> getDataYear() {
        return dataYear;
    }

    public void setDataYear(List<Integer> dataYear) {
        this.dataYear = dataYear;
    }

    public List<BigDecimal> getSiG() {
        return siG;
    }

    public void setSiG(List<BigDecimal> siG) {
        this.siG = siG;
    }

    public List<BigDecimal> getRadioBroadcast() {
        return radioBroadcast;
    }

    public void setRadioBroadcast(List<BigDecimal> radioBroadcast) {
        this.radioBroadcast = radioBroadcast;
    }

    public List<BigDecimal> getTelevision() {
        return television;
    }

    public void setTelevision(List<BigDecimal> television) {
        this.television = television;
    }

    public List<BigDecimal> getWifi() {
        return wifi;
    }

    public void setWifi(List<BigDecimal> wifi) {
        this.wifi = wifi;
    }

    public List<BigDecimal> getReads() {
        return reads;
    }

    public void setReads(List<BigDecimal> reads) {
        this.reads = reads;
    }

    public List<String> getName1() {
        return name1;
    }

    public void setName1(List<String> name1) {
        this.name1 = name1;
    }

    public List<BigDecimal> getValue() {
        return value;
    }

    public void setValue(List<BigDecimal> value) {
        this.value = value;
    }

    public List<BigDecimal> getValue1() {
        return value1;
    }

    public void setValue1(List<BigDecimal> value1) {
        this.value1 = value1;
    }

    public List<BigDecimal> getValue2() {
        return value2;
    }

    public void setValue2(List<BigDecimal> value2) {
        this.value2 = value2;
    }

    public List<BigDecimal> getValue3() {
        return value3;
    }

    public void setValue3(List<BigDecimal> value3) {
        this.value3 = value3;
    }
}
